package domain

type AlibabaWdkCouponSpreadApplyWdkCouponApplyParam struct {
	/*
	   申请渠道     */
	ApplyChannel *string `json:"apply_channel,omitempty" `

	/*
	   券领取来源，非必填，用于区分不同的业务来源，默认传空为领取普通优惠券     */
	ApplySource *string `json:"apply_source,omitempty" `

	/*
	   卡券来源  [ump:ump卡券; koubei:口碑券]     */
	CouponSource *string `json:"coupon_source,omitempty" `

	/*
	   拓展属性     */
	Features *string `json:"features,omitempty" `

	/*
	   外部业务id     */
	OutBizNo *string `json:"out_biz_no,omitempty" `

	/*
	   优惠券模版id     */
	TemplateId *string `json:"template_id,omitempty" `

	/*
	   领取淘系id     */
	UserId *int64 `json:"user_id,omitempty" `

	/*
	   优惠券模版uuid     */
	Uuid *string `json:"uuid,omitempty" `

	/*
	   幂等键     */
	IdempotentKey *string `json:"idempotent_key,omitempty" `
}

func (s *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam) SetApplyChannel(v string) *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam {
	s.ApplyChannel = &v
	return s
}
func (s *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam) SetApplySource(v string) *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam {
	s.ApplySource = &v
	return s
}
func (s *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam) SetCouponSource(v string) *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam {
	s.CouponSource = &v
	return s
}
func (s *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam) SetFeatures(v string) *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam {
	s.Features = &v
	return s
}
func (s *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam) SetOutBizNo(v string) *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam {
	s.OutBizNo = &v
	return s
}
func (s *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam) SetTemplateId(v string) *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam {
	s.TemplateId = &v
	return s
}
func (s *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam) SetUserId(v int64) *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam {
	s.UserId = &v
	return s
}
func (s *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam) SetUuid(v string) *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam {
	s.Uuid = &v
	return s
}
func (s *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam) SetIdempotentKey(v string) *AlibabaWdkCouponSpreadApplyWdkCouponApplyParam {
	s.IdempotentKey = &v
	return s
}
